# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate datetime

Name:           rust-%{crate}
Version:        0.4.7
Release:        4%{?dist}
Summary:        Library for date and time formatting and arithmetic

# https://github.com/rust-datetime/datetime/issues/20
License:        MIT
URL:            https://crates.io/crates/datetime
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * No windows
# * No redox
# * Drop regex dependency, https://github.com/rust-datetime/datetime/pull/19
# * Bump iso8601 to 0.2, https://github.com/rust-datetime/datetime/pull/21
Patch0:         datetime-fix-metadata.diff
# Really drop regex dependency
Patch1:         0001-drop-regex-from-dependency-set.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
BuildRequires:  (crate(iso8601/default) >= 0.2.0 with crate(iso8601/default) < 0.3.0)
BuildRequires:  (crate(libc/default) >= 0.2.0 with crate(libc/default) < 0.3.0)
BuildRequires:  (crate(locale/default) >= 0.2.0 with crate(locale/default) < 0.3.0)
BuildRequires:  (crate(num-traits/default) >= 0.1.35 with crate(num-traits/default) < 0.2.0)
BuildRequires:  (crate(pad/default) >= 0.1.0 with crate(pad/default) < 0.2.0)
%if %{with check}
BuildRequires:  (crate(rustc-serialize/default) >= 0.3.0 with crate(rustc-serialize/default) < 0.4.0)
%endif

%global _description \
Library for date and time formatting and arithmetic.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%doc README.md
%{cargo_registry}/%{crate}-%{version}/
%exclude %{cargo_registry}/%{crate}-%{version}/tests/generate_tests.rb

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-2
- Rebuild for rust-packaging v5

* Tue Nov 21 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.4.7-1
- Initial package
